INSERT INTO TABLE
  wdb_development.activities
SELECT
  sessionize_keys.time,
  TD_SESSIONIZE(sessionize_keys.time, 21600,
    sessionize_keys.sessionize_key) AS session_id,
  sessionize_keys.path
FROM (
  SELECT
    time,
    path,
    TD_MD5(CONCAT(host, agent)) AS sessionize_key
  FROM
    sample_datasets.www_access
  WHERE
    TD_TIME_RANGE(time,
      TD_DATE_TRUNC('day', TD_TIME_ADD(
        TD_SCHEDULED_TIME(), '-1d', 'JST'), 'JST'),
      TD_DATE_TRUNC('day', TD_SCHEDULED_TIME(), 'JST'),
      'JST')
    AND code = 200
  DISTRIBUTE BY sessionize_key
  SORT BY sessionize_key, time
) sessionize_keys
ORDER BY sessionize_keys.time;
