INSERT INTO TABLE
  wdb_development.search_satisfaction
SELECT
  COUNT(CASE WHEN t.next_path = 'item'
    THEN 1 ELSE NULL END) AS found,
  COUNT(CASE WHEN t.next_path != 'item'
    THEN 1 ELSE NULL END) AS not_found
FROM (
  SELECT
    session_id,
    CONCAT_WS(',', COLLECT_LIST(path)) AS paths,
    REGEXP_EXTRACT(CONCAT_WS(',', COLLECT_LIST(path)),
      '/search/.*,/([a-zA-Z]*)/', 1) AS next_path
  FROM
    activities
  GROUP BY session_id
) t
WHERE
  t.paths REGEXP '/search';
