SELECT
  hourly_sessions.hour,
  COUNT(hourly_sessions.session_id) AS unique_user
FROM (
  SELECT DISTINCT
    TD_TIME_FORMAT(sessionize_keys.time,
      'yyyy-MM-dd HH:00:00', 'JST') AS hour,
    TD_SESSIONIZE(sessionize_keys.time, 21600,
      sessionize_keys.sessionize_key) AS session_id
  FROM (
    SELECT
      time,
      TD_MD5(CONCAT(host, agent)) AS sessionize_key
    FROM
      www_access
    WHERE
      TD_TIME_RANGE(time, '2014-10-04 00:00:00',
        '2014-10-05 00:00:00', 'JST')
    DISTRIBUTE BY sessionize_key
    SORT BY sessionize_key, time
  ) sessionize_keys
) hourly_sessions
GROUP BY hourly_sessions.hour
ORDER BY hourly_sessions.hour;
